net.sf.okapi.common.annotation

## Enum IssueType

- java.lang.Object
- - java.lang.Enum<IssueType>
  - - net.sf.okapi.common.annotation.IssueType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<IssueType>

      public enum IssueType
      extends java.lang.Enum<IssueType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOWED_CHARACTERS`
    `EMPTY_SOURCESEG`
    `EMPTY_TARGETSEG`
    `EXTRA_CODE`
    `EXTRA_LEADINGWS`
    `EXTRA_TARGETSEG`
    `EXTRA_TRAILINGWS`
    `EXTRAORDIFF_LEADINGWS`
    `EXTRAORDIFF_TRAILINGWS`
    `LANGUAGETOOL_ERROR`
    `MISSING_CODE`
    `MISSING_LEADINGWS`
    `MISSING_TARGETSEG`
    `MISSING_TARGETTU`
    `MISSING_TRAILINGWS`
    `MISSINGORDIFF_LEADINGWS`
    `MISSINGORDIFF_TRAILINGWS`
    `OTHER`
    `SOURCE_LENGTH`
    `SUSPECT_CODE`
    `SUSPECT_DATE_TIME`
    `SUSPECT_NUMBER`
    `SUSPECT_PATTERN`
    `TARGET_LENGTH`
    `TARGET_SAME_AS_SOURCE`
    `TERMINOLOGY`
    `UNEXPECTED_PATTERN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `mapToITS(IssueType issueType)` Maps a given Issue type to an ITS issue type.
    `static IssueType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static IssueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MISSING_TARGETTU

          public static final IssueType MISSING_TARGETTU

    - #### MISSING_TARGETSEG

          public static final IssueType MISSING_TARGETSEG

    - #### EXTRA_TARGETSEG

          public static final IssueType EXTRA_TARGETSEG

    - #### EMPTY_TARGETSEG

          public static final IssueType EMPTY_TARGETSEG

    - #### EMPTY_SOURCESEG

          public static final IssueType EMPTY_SOURCESEG

    - #### MISSING_LEADINGWS

          public static final IssueType MISSING_LEADINGWS

    - #### MISSINGORDIFF_LEADINGWS

          public static final IssueType MISSINGORDIFF_LEADINGWS

    - #### EXTRA_LEADINGWS

          public static final IssueType EXTRA_LEADINGWS

    - #### EXTRAORDIFF_LEADINGWS

          public static final IssueType EXTRAORDIFF_LEADINGWS

    - #### MISSING_TRAILINGWS

          public static final IssueType MISSING_TRAILINGWS

    - #### MISSINGORDIFF_TRAILINGWS

          public static final IssueType MISSINGORDIFF_TRAILINGWS

    - #### EXTRA_TRAILINGWS

          public static final IssueType EXTRA_TRAILINGWS

    - #### EXTRAORDIFF_TRAILINGWS

          public static final IssueType EXTRAORDIFF_TRAILINGWS

    - #### TARGET_SAME_AS_SOURCE

          public static final IssueType TARGET_SAME_AS_SOURCE

    - #### MISSING_CODE

          public static final IssueType MISSING_CODE

    - #### EXTRA_CODE

          public static final IssueType EXTRA_CODE

    - #### SUSPECT_CODE

          public static final IssueType SUSPECT_CODE

    - #### UNEXPECTED_PATTERN

          public static final IssueType UNEXPECTED_PATTERN

    - #### SUSPECT_PATTERN

          public static final IssueType SUSPECT_PATTERN

    - #### SUSPECT_NUMBER

          public static final IssueType SUSPECT_NUMBER

    - #### SUSPECT_DATE_TIME

          public static final IssueType SUSPECT_DATE_TIME

    - #### SOURCE_LENGTH

          public static final IssueType SOURCE_LENGTH

    - #### TARGET_LENGTH

          public static final IssueType TARGET_LENGTH

    - #### ALLOWED_CHARACTERS

          public static final IssueType ALLOWED_CHARACTERS

    - #### TERMINOLOGY

          public static final IssueType TERMINOLOGY

    - #### LANGUAGETOOL_ERROR

          public static final IssueType LANGUAGETOOL_ERROR

    - #### OTHER

          public static final IssueType OTHER

  - ### Method Detail

    - #### values

          public static IssueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IssueType c : IssueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IssueType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### mapToITS

          public static java.lang.String mapToITS(IssueType issueType)

      Maps a given Issue type to an ITS issue type.
      Parameters:
        `issueType` - the issue type.
      Returns:
        the ITS issue type.